Skip to main content
GET
/
v2
/
customers
/
customfields
Query Customer Custom Fields
curl --request GET \
  --url https://api.jtl-cloud.com/erp/v2/customers/customfields \
  --header 'Authorization: Bearer <token>' \
  --header 'x-api-key: <api-key>' \
  --header 'x-appid: <x-appid>' \
  --header 'x-appversion: <x-appversion>' \
  --header 'x-tenant-id: <x-tenant-id>'
[
  {
    "attribut": {
      "id": 123,
      "istMehrsprachig": 123,
      "istFreifeld": 123,
      "sortierung": 123,
      "beschreibung": "<string>",
      "bezugstyp": 123,
      "ausgabeweg": 123,
      "istStandard": 123,
      "feldTypId": 123,
      "regEx": "<string>",
      "gruppeName": "<string>",
      "readOnly": 123,
      "aktivFuerArtikelOhneWarengruppe": true,
      "istPflichtfeld": true,
      "attributId": "<string>",
      "istUnsichtbar": true,
      "skipHooks": true,
      "feldTyp": {
        "id": 123,
        "name": "<string>",
        "datenTyp": 123,
        "regEx": "<string>",
        "skipHooks": true,
        "typ": 0
      },
      "bezeichnungen": [
        {
          "attributId": 123,
          "spracheId": 123,
          "name": "<string>",
          "wertListe": "<string>",
          "skipHooks": true
        }
      ]
    },
    "customFieldId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
    "groupName": "<string>",
    "name": "<string>",
    "type": 0,
    "possibleValues": [
      "<string>"
    ]
  }
]

Documentation Index

Fetch the complete documentation index at: https://developer.jtl-software.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

x-api-key
string
header
required

Optional: If no token is present, the API Gateway injects it.

Headers

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

x-appid
string
required

This is the name of your application, e.g. "MyApp/1.0.0". It is used to identify your application.

x-appversion
string
required

This is where the version number of your application is entered, e.g. "1.0.0".

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

X-SessionId
string<uuid>

The id of a session in which the call will be executed.

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

Response

The requested custom fields for items.

attribut
object

Attribute dienen zur flexibleren Verteilung von Eigenschaften zu bestimmten Objekten

customFieldId
string<uuid>

Unique ID to identify a custom field.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

groupName
string

The group name for this custom field.

name
string

The custom field name.

type
enum<integer>

The custom field type.

Available options:
0,
1,
2,
3,
4,
5,
6,
7,
8,
9,
10,
11,
12
possibleValues
string[]

The possible values, when the custom field is a list.